-----------------------------------
-- Area: Temple of Uggalepih
-- NPC:  ??? Dragoon AF3 NM
-- Involved In Quest: Knight Stalker
-- @pos 59 1 -69 31 (F-9)
-- NOTE: This may be the incorrect ??? for this quest.  But for now it works.  It beats having 2 spawns for
-- Deathfromabove
-----------------------------------
package.loaded["scripts/zones/Temple_of_Uggalepih/TextIDs"] = nil;
-----------------------------------

require("scripts/zones/Temple_of_Uggalepih/TextIDs");
require("scripts/globals/quests");
require("scripts/globals/keyitems");

-----------------------------------
-- onTrade Action
-----------------------------------

function onTrade(player,npc,trade)
		-- Note: ??? needs to Dissapear for 15 min
end;

-----------------------------------
-- onTrigger Action
-----------------------------------

function onTrigger(player,npc)
	
	knightStalker = player:getVar("KnightStalker_Event");
	RompaulionKilled = player:getVar("RompaulionKilled");

	if(knightStalker == 5) and (RompaulionKilled == 0) then -- Has the correct part of quest should be 5
		SpawnMob(17428808,300):updateEnmity(player); --17428808
	elseif((knightStalker == 5) and (RompaulionKilled == 1)) then
			player:startEvent(0x0043);
	else
		player:messageSpecial(NOTHING_HAPPENS);
	end
end;

-----------------------------------
-- onEventFinish
-----------------------------------

function onEventFinish(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);
	if(csid == 0x0043) then
		if(player:getFreeSlotsCount() == 0) then
			player:messageSpecial(ITEM_CANNOT_BE_OBTAINED,12519);-- DRG AF3
		else
			player:delKeyItem(RANCHURIOMES_LEGACY);
			player:delKeyItem(CHALLENGE_TO_THE_ROYAL_KNIGHTS);
			player:addTitle(PARAGON_OF_DRAGOON_EXCELLENCE);
			player:addItem(12519);
			player:messageSpecial(ITEM_OBTAINED,12519); -- Drachen Armet (AF3)
			player:addFame(SANDORIA,SAN_FAME*AF2_FAME);
			player:completeQuest(SANDORIA,KNIGHT_STALKER);
			player:setVar("KnightStalker_Event",6);
			player:setVar("RompaulionKilled",0);
		end
	end
end;